Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class JavaDocReader

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              xjavadoc.JavaDocReader

final class JavaDocReader
extends FilterReader

A reader which strips away any spaces and stars at the beginning of javadoc. It also keeps track of line numbers, which is needed for error reporting.

Author:
  Aslak Hellesøy

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`JavaDocReader(Reader in)`

Method Summary
`int` | `available()` Returns the number of bytes that can be read without blocking.
`int` | `getLineOffset()` Returns the line offset we're currently reading
`int` | `read()` Reads a byte of data.
`int` | `read(char[] b, int off, int len)` Reads into an array of bytes.
`long` | `skip(long n)` Skips bytes of input.

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaDocReader

    public JavaDocReader(Reader in)

Parameters:
  `in` - the underlying reader, containing javadoc

Method Detail

### getLineOffset

    public int getLineOffset()

  Returns the line offset we're currently reading

  Returns:
    line in the javadoc.

### read

    public int read()
             throws IOException

  Reads a byte of data. The method will block if no input is available.

  Returns:
    the byte read, or -1 if the end of the stream is reached.
  Throws:
    `IOException` - If an I/O error has occurred.

### read

    public int read(char[] b,
                    int off,
                    int len)
             throws IOException

  Reads into an array of bytes. Blocks until some input is available.

  Parameters:
    `b` - the buffer into which the data is read
    `off` - the start offset of the data
    `len` - the maximum number of bytes read
  Returns:
    the actual number of bytes read, -1 is returned when the end of the stream is reached.
  Throws:
    `IOException` - If an I/O error has occurred.

### skip

    public long skip(long n)
              throws IOException

  Skips bytes of input.

  Parameters:
    `n` - bytes to be skipped
  Returns:
    actual number of bytes skipped
  Throws:
    `IOException` - If an I/O error has occurred.

### available

    public int available()
                  throws IOException

  Returns the number of bytes that can be read without blocking.

  Returns:
    the number of available bytes
  Throws:
    `IOException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.